# $Revision: 1.25 $, $Date: 2001/12/07 20:41:05 $
Summary:	a compact, console-only getty
Summary(de):	ein kompaktes, auf Konsolen beschrnktes GETTY 
Summary(es):	Un getty compacto, que slo funciona en la consola
Summary(fr):	getty compact, uniquement pour la console
Summary(pl):	May getty - tylko na konsol (minimal getty)
Summary(pt_BR):	Um getty compacto, que s funciona na console
Summary(tr):	Ufak bir getty
Name:		mingetty
Version:	0.9.4
License:	GPL
Release:	19
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Source0:	ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemons/%{name}-%{version}.tar.gz
Patch0:		%{name}-misc.patch
Patch1:		%{name}-current-time.patch
Patch2:		%{name}-mono-console.patch
Patch3:		%{name}-remote.patch
Patch4:		%{name}-fgetc.patch
Patch5:		%{name}-autologin.patch
Patch6:		%{name}-autologin-remove-restrictions.patch
Patch7:		%{name}-syslog.patch
Patch8:		%{name}-manpage.patch
Patch9:		%{name}-s390.patch
Requires:	login
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/

%description
mingetty, by Florian La Roche, is a lightweight, minimalist getty for
use on virtual consoles only. mingetty is not suitable for serial
lines (the author recommends using `mgetty' for that purpose).

%description -l de
mingetty von Florian La Roche ist ein kleiner, minimalistischer getty
fr die Verwendung an virtuellen Konsolen. Er ist nicht fr serielle
Leitungen geeignet (der Autor empfiehlt fr diesen Zweck`mgetty').

%description -l es
mingetty, de Florian La Roche, es un ligero y pequeo getty para usar
solamente en pantallas virtuales. Mingetty no es apropiado para lneas
seriales (el autor recomienda el uso de "mgetty" para este propsito.

%description -l fr
mingetty, de Florian La Roche, est un getty rduit et allg pour
console virtuelle uniquement. mingetty n'est pas adapt pour les
lignes srie (l'auteur recommande d'utiliser `mgetty' pour cet usage).

%description -l pl 
Mingetty - Floriana La Roche, jest minimalnym getty do uytku na
wirtualnej konsoli. Mingetty nie obsuguje portw szeregowych.

%description -l pt_BR
mingetty, de Florian La Roche,  um leve e pequeno getty para usar
somente em consoles virtuais. Mingetty no  apropriado para linhas
seriais (o autor recomenda o uso de "mgetty" para este propsito.

%description -l tr
Bu pakette seri balant zerinden sisteme girie olanak veren, akll
bir getty srm bulunur. Otomatik arama ve faks destei ierir
(salad fax desteinin tam olarak kullanlabilmesi iin
mgetty-sendfax paketi gerekir).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{__make} OPT="%{rpmcflags}" CC=%{__cc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man8,%{_sbindir}}

install mingetty $RPM_BUILD_ROOT%{_sbindir}

install *.8 $RPM_BUILD_ROOT%{_mandir}/man8

gzip -9nf ANNOUNCE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE.gz

%attr(755,root,root) %{_sbindir}/mingetty

%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mingetty.spec,v $
Revision 1.25  2001/12/07 20:41:05  kloczek
- bump release to 19,
- merge some RH patches,
- merge translations from Conectiva.

Revision 1.24  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.23  2001/04/29 18:15:07  bonkey
- release 18
- adjusted autologin patch from
  ftp://ftp.jagunet.com/pub/users/kodis/mingetty-0.9.4-autologin.patch
- added mingetty-autologin-remove-restrictions.patch, which makes
  autologin less restricted

Revision 1.22  2001/01/26 05:37:33  kloczek
- release 17,
- added login to Requires,
- merge fgetc patch from rawhide.

Revision 1.21  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.20  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.19  2000/10/20 05:19:16  kloczek
- release 16: use new rpm automation.

Revision 1.18  2000/07/04 14:52:30  zagrodzki
- mingetty-remote.patch (/me and baggins)

Revision 1.17  2000/06/14 10:39:18  zagrodzki
- release 13
- mono-console patch (--mono option for setting TERM="linux-m", not just
  "linux")

Revision 1.16  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/06/04 23:50:38  kloczek
- cocmetics.

Revision 1.14  2000/06/03 14:42:13  baggins
- added current-time patch (date/time is now updated on every /etc/issue redraw)
- release 12

Revision 1.13  2000/05/28 10:05:36  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.10  1999/08/01 20:20:55  kloczek
- cosmetics.

Revision 1.9  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [0.9.4-10]
- spec cleanup

* Fri Apr  9 1999 Piotr Czerwiski <pius@pld.org.pl>
- added Group(pl),
- fixed passing $RPM_OPT_FLAGS during compile,
- gzipping documentation and man pages,
- removed man group from man pages,
- cosmetic changes for common l&f.

* Tue Oct 06 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.9.4-8]
- added pl translation,
- minor modifications of the spec file.
